curl --location --request POST 'http://127.0.0.1:8000/api/merchants/refund_request/merchant_status_refund_request/' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--body-data 'id:refund_record_id, status: Approved or Rejected'
"Refund request accepted by merchant"
Refund API
Merchant Status Refund Request
Approve refund request by a merchant.
POST
/
api
/
merchants
/
refund_request
/
merchant_status_refund_request
/
curl --location --request POST 'http://127.0.0.1:8000/api/merchants/refund_request/merchant_status_refund_request/' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--body-data 'id:refund_record_id, status: Approved or Rejected'
"Refund request accepted by merchant"
header
body
Response
This Response field will return “Refund Request Approved by merchant” with status code 200 on success request.
curl --location --request POST 'http://127.0.0.1:8000/api/merchants/refund_request/merchant_status_refund_request/' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--body-data 'id:refund_record_id, status: Approved or Rejected'
"Refund request accepted by merchant"